class LoadTestResult < ActiveRecord::Base

  belongs_to :build
  



  def start_time
    DateTime.strptime((self.start_timestamp / 1000).to_s,'%s')
  end
  
    
  private
  
  def set_end_timestamp
    if end_timestamp.nil?
      end_timestamp = start_timestamp + (duration * 1000).to_i
    end    
  end
  
end